> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a session

> Update a session (contact) in the project from the `project` header. The fields `userId`, `project`,
`organisation`, `gleapId` and `gleapHash` are ignored if sent. Changing `tags` requires the tag
permissions of the calling agent. Setting `companyId` automatically creates the company if it does not
exist yet.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /sessions/{sessionId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /sessions/{sessionId}:
    put:
      tags:
        - Session
      summary: Update a session
      description: >-
        Update a session (contact) in the project from the `project` header. The
        fields `userId`, `project`,

        `organisation`, `gleapId` and `gleapHash` are ignored if sent. Changing
        `tags` requires the tag

        permissions of the calling agent. Setting `companyId` automatically
        creates the company if it does not

        exist yet.
      operationId: UpdateSession
      parameters:
        - in: path
          name: sessionId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema: {}
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````